# Imported for conda

Name:           python-archspec
Version:        0.2.4
Release:        %mkrel 1
Summary:        A library to query system architecture
Group:          Development/Python

License:        Apache-2.0 OR MIT
URL:            https://github.com/archspec/archspec
Source:         %{pypi_source archspec}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
Archspec aims at providing a standard set of human-understandable labels for
various aspects of a system architecture like CPU, network fabrics, etc. and
APIs to detect, query and compare them.
This project supports APIs to detect and model compatibility relationships among
different CPU microarchitectures.}

%description %_description

%package -n     python3-archspec
Summary:        %{summary}

%description -n python3-archspec %_description


%prep
%autosetup -p1 -n archspec-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files archspec


%check
%tox


%files -n python3-archspec -f %{pyproject_files}
%{_bindir}/archspec


%changelog
* Mon May 13 2024 papoteur <papoteur> 0.2.4-1.mga10
+ Revision: 2063939
- new version 0.2.4

* Sat Mar 23 2024 papoteur <papoteur> 0.2.3-1.mga10
+ Revision: 2051569
- fix tests
- imported package python-archspec

